{% extends "gc/basepage.html" %}

{% block head %}
    {% load staticfiles %}
    <link href="{% static '/website/css/magnific-popup.css' %}" rel="stylesheet">
    <style>
        .fixed-top.scrolled{background-color:#062c33!important;transition:background-color .2s linear}.fixed-top.scrolled .nav-link{color:#fff!important}@media (max-width:845px){.collapse.show{display:block;min-height:350px}}@media (min-width:846px){.collapse.show{display:block;min-height:190px}}@media (max-width:555px){.filter-size{width:250px;padding:10px;margin:10px}}@media (min-width:555px){.filter-size{width:250px;padding:10px;margin:10px}}@media (max-width:810px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:600px}}@media (min-width:810px) and (max-width:1210px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:400px}}@media (min-width:1210px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:375px}}.button-from-top{margin-top:50px}.margin-div-section-top{padding-top:70px}.margin-div-section{padding-top:5px}.item-header-background{background-color:#212529}.img-centered{display:block;margin:auto}.input-class{margin:5px;padding:.375rem .75rem;line-height:1.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}.search-form-input{padding:.375rem .75rem;line-height:1.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}.advanced-form-input{margin-top:5px;line-height:1.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}.dropdown-class{background-color:#fff;color:#000}.item-image-size{height:150px}.open ul li:hover{color:red}.text-align{text-align:right}.padding{padding:10px}i{cursor:pointer}#mobile_search{cursor:pointer}#submit-website{cursor:pointer}#contact-us{cursor:pointer}#filter-text{cursor:pointer}#more-page{cursor:pointer}#less-page{cursor:pointer}ul li a{cursor:pointer;display:block;height:20px;text-align:center}#brand{cursor:pointer}#os{cursor:pointer}#minyear{cursor:pointer}#maxyear{cursor:pointer}#mininch{cursor:pointer}#maxinch{cursor:pointer}#minpd{cursor:pointer}#maxpd{cursor:pointer}#minram{cursor:pointer}#maxram{cursor:pointer}#minfreq{cursor:pointer}#maxfreq{cursor:pointer}#mincore{cursor:pointer}#maxcore{cursor:pointer}#minfcamera{cursor:pointer}#maxfcamera{cursor:pointer}#minbcamera{cursor:pointer}#maxbcamera{cursor:pointer}#sort{cursor:pointer}#sort-dir{cursor:pointer}.margin{margin:3px}.menu-scroll{overflow-y:scroll;max-height:200px;width:230px}.no-text-decoration{text-decoration:none!important}.ui-autocomplete{overflow-y:scroll;max-height:200px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer;height:30px;padding:5px}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}.semi-page{width:50%}.share-tag{color:#179cde;width:30px!important;height:30px!important;cursor:pointer;border-radius:100%!important}.btn-custom{background-color:#fff;border-radius:60px;transition:.4s;margin:3px;color:#000;border:1px inset gray}.btn-custom:hover{background-color:#c9302c;color:#fff}
    </style>
{% endblock %}

{% block content %}
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto pull-right">
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">لیست محصولات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#portfolio">برندها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
                    </li>
                </ul>
            </div>

        </div>
    </nav>

    <div id="about" class="margin-div-section-top" >

        <div class="bg-white container padding">

            <div class="row">
                <div class="col-lg-12 text-right">
                    <h2 class="section-heading font-size">امکانات مورد نیاز خود را مشخص نمایید تا لیستی از گوشی ها را مشاهده نمایید</h2>
                </div>
            </div>

            <div class="row">

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="brand" class="btn dropdown-class font-size">برند</a>
                        <ul id="dropdown-menu-brand" class="dropdown-menu menu-scroll">
                            {% for foo in brands %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="os" class="btn dropdown-class font-size">سیستم عامل</a>
                        <ul id="dropdown-menu-os" class="dropdown-menu menu-scroll">
                            {% for foo in oss %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minyear" class="btn dropdown-class font-size">از سال</a>
                        <ul id="dropdown-menu-minyear" class="dropdown-menu menu-scroll">
                            {% for foo in years %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxyear" class="btn dropdown-class font-size">تا سال</a>
                        <ul id="dropdown-menu-maxyear" class="dropdown-menu menu-scroll">
                            {% for foo in years %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <br><br><button type="button" class="btn btn-info font-size margin" data-toggle="collapse" data-target="#more-filters">فیلترهای بیشتر</button>

                <a id="filter" class="text-white button-from-top btn btn-danger js-scroll-trigger box-centered">
                    <div id="filter-text" class="font-size">اعمال</div>
                    <i id="filter-icon" class="fa fa-circle-o-notch fa-spin fa-fw box-centered"></i>
                </a>

            </div>

            <div id="more-filters" class="row collapse">

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="mininch" class="btn dropdown-class font-size">سایز (اینچ) از</a>
                        <ul id="dropdown-menu-mininch" class="dropdown-menu menu-scroll">
                            {% for foo in inchs %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxinch" class="btn dropdown-class font-size">سایز (اینچ) تا</a>
                        <ul id="dropdown-menu-maxinch" class="dropdown-menu menu-scroll">
                            {% for foo in inchs %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minpd" class="btn dropdown-class font-size">تراکم پیکسل از</a>
                        <ul id="dropdown-menu-minpd" class="dropdown-menu menu-scroll">
                            {% for foo in pds %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxpd" class="btn dropdown-class font-size">تراکم پیکسل تا</a>
                        <ul id="dropdown-menu-maxpd" class="dropdown-menu menu-scroll">
                            {% for foo in pds %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                {#                <div class="col-xs-6 col-sm-6 col-md-3">#}
                {#                    <div class="advanced-form-input text-align" data-toggle="dropdown">#}
                {#                      <a class="btn dropdown-class dropdown-toggle"></a>#}
                {#                      <a id="minstorage" class="btn dropdown-class font-size">داخلی از (گیگ)</a>#}
                {#                      <ul id="dropdown-menu-minstorage" class="dropdown-menu menu-scroll">#}
                {#                      {% for foo in storages %}#}
                {#                            <li><a class="font-size"> {{ foo }} </a></li>#}
                {#                      {% endfor %}#}
                {#                      </ul>#}
                {#                    </div>#}
                {#                </div>#}
                {##}
                {#                <div class="col-xs-6 col-sm-6 col-md-3">#}
                {#                    <div class="advanced-form-input text-align" data-toggle="dropdown">#}
                {#                      <a class="btn dropdown-class dropdown-toggle"></a>#}
                {#                      <a id="maxstorage" class="btn dropdown-class font-size">داخلی تا (گیگ)</a>#}
                {#                      <ul id="dropdown-menu-maxstorage" class="dropdown-menu menu-scroll">#}
                {#                      {% for foo in storages %}#}
                {#                            <li><a class="font-size"> {{ foo }} </a></li>#}
                {#                      {% endfor %}#}
                {#                      </ul>#}
                {#                    </div>#}
                {#                </div>#}
                {##}
                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minram" class="btn dropdown-class font-size">رَم از (گیگ)</a>
                        <ul id="dropdown-menu-minram" class="dropdown-menu menu-scroll">
                            {% for foo in rams %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxram" class="btn dropdown-class font-size">رَم تا (گیگ)</a>
                        <ul id="dropdown-menu-maxram" class="dropdown-menu menu-scroll">
                            {% for foo in rams %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minfreq" class="btn dropdown-class font-size">فرکانس از (هرتز)</a>
                        <ul id="dropdown-menu-minfreq" class="dropdown-menu menu-scroll">
                            {% for foo in freqs %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxfreq" class="btn dropdown-class font-size">فرکانس تا (هرتز)</a>
                        <ul id="dropdown-menu-maxfreq" class="dropdown-menu menu-scroll">
                            {% for foo in freqs %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="mincore" class="btn dropdown-class font-size">تعداد هسته از</a>
                        <ul id="dropdown-menu-mincore" class="dropdown-menu menu-scroll">
                            {% for foo in cores %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxcore" class="btn dropdown-class font-size">تعداد هسته تا</a>
                        <ul id="dropdown-menu-maxcore" class="dropdown-menu menu-scroll">
                            {% for foo in cores %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minfcamera" class="btn dropdown-class font-size">جلو از (MP)</a>
                        <ul id="dropdown-menu-minfcamera" class="dropdown-menu menu-scroll">
                            {% for foo in fcameras %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxfcamera" class="btn dropdown-class font-size">جلو تا (MP)</a>
                        <ul id="dropdown-menu-maxfcamera" class="dropdown-menu menu-scroll">
                            {% for foo in fcameras %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="minbcamera" class="btn dropdown-class font-size">عقب از (MP)</a>
                        <ul id="dropdown-menu-minbcamera" class="dropdown-menu menu-scroll">
                            {% for foo in bcameras %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="maxbcamera" class="btn dropdown-class font-size">عقب تا (MP)</a>
                        <ul id="dropdown-menu-maxbcamera" class="dropdown-menu menu-scroll">
                            {% for foo in bcameras %}
                                <li><a class="font-size"> {{ foo }} </a></li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="sort" class="btn dropdown-class font-size">مرتب سازی با</a>
                        <ul id="dropdown-menu-sort" class="dropdown-menu menu-scroll">
                            <li class="padding font-size"><a class="font-size">سال</a></li>
                            <li class="padding font-size"><a class="font-size">سایز صفحه</a></li>
                            <li class="padding font-size"><a class="font-size">پردازنده</a></li>
                            <li class="padding font-size"><a class="font-size">رَم</a></li>
                            <li class="padding font-size"><a class="font-size">حافظه داخلی</a></li>
                            <li class="padding font-size"><a class="font-size">دوربین عقب</a></li>
                            <li class="padding font-size"><a class="font-size">دوربین جلو</a></li>
                        </ul>
                    </div>
                </div>

                <div class="col-xs-6 col-sm-6 col-md-3">
                    <div class="advanced-form-input text-align" data-toggle="dropdown">
                        <a class="btn dropdown-class dropdown-toggle"></a>
                        <a id="sort-dir" class="btn dropdown-class font-size">نزولی</a>
                        <ul id="dropdown-menu-sort-dir" class="dropdown-menu menu-scroll">
                            <li class="padding font-size"><a class="font-size">صعودی</a></li>
                            <li class="padding font-size"><a class="font-size">نزولی</a></li>
                        </ul>
                    </div>
                </div>

            </div>

            <hr>

            <div class="row">
                <div class="col-lg-12 text-right">
                    <h2 class="section-heading font-size">به دنبال مدل مشخصی هستید ؟</h2>
                </div>
                <div class="col-lg-12 text-center">
                    <div class="box-centered">
                        <input id="search-text" class="search-form-input font-size" placeholder="مدل گوشی...">
                        <a id="mobile_search" class="btn btn-danger font-size text-white">چند؟</a>
                    </div>
                </div>
            </div>


            <script>
                $("#filter-icon").hide();
            </script>

        </div>

    </div>

    <div id="services" class="margin-div-section">
        <div class="container">
            <div class="row">
                <div id="tags" class="col-lg-12 text-right">
                    <h2 class="section-heading font-size">فیلترهای انتخابی</h2>
                </div>
                <div class="col-lg-12 text-center">
                    <h2 class="section-heading font-size">لیست محصولات</h2>
                    <hr class="my-4">
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                {% for item in specs %}
                    <div class="mb-4 item-class box-centered">
                        <img class="item-image-size img-fluid d-block mx-auto" src="{{ item.img }}" alt="{{ item.title }}">
                        <a href="https://telegram.me/share/url?url=https://gooshichand.com/item/{{ item.urltitle }}/?utm_source-tgshare&text=" rel="nofollow" target="_blank" class="share-tag fa fa-telegram"></a>
                        <a href="{% url 'mobilespec' item.urltitle %}" class="font-size btn btn-custom">{{ item.title }}</a><br><br>
                        {% if item.hasprice > 0 %}
                            <p class="font-size text-success has-number no-text-decoration"> شروع قیمت از : {{ item.minprice }}</p>
                        {% else %}
                            <p class="font-size text-success no-text-decoration">قیمتی ثبت نشده است</p>
                        {% endif %}
                        <a href="{% url 'mobilefilterbyspec' %}?minyear={{ item.year }}&maxyear={{ item.year }}" class="font-size has-number btn btn-custom">{{ item.year }}</a>
                        <p class="font-size has-number btn btn-custom">{{ item.os }}</p>
                        <a href="{% url 'mobilefilterbyspec' %}?brand={{ item.path }}" class="font-size has-number btn btn-custom">{{ item.path }}</a>
                    </div>
                {% endfor %}
            </div>
        </div>

        <div class="container">
            <div class="row">
                {% if length >= 21 %}
                    <a id="more-page" class="btn btn-danger btn-xl js-scroll-trigger box-centered text-white font-size">صفحه بعدی</a>
                {% endif %}
                <a id="less-page" class="btn btn-danger btn-xl js-scroll-trigger box-centered text-white font-size">صفحه قبلی</a>
            </div>
        </div>

    </div><br><br><br>
{% endblock %}

{% block jsscript %}
    <script src="{% static 'website/js/jquery.easing.min.js' %}"></script>
    <script src="{% static 'website/js/scrollreveal.min.js' %}"></script>
    <script src="{% static 'website/js/jquery.magnific-popup.min.js' %}"></script>
    <script src="{% static 'website/js/creative.min.js' %}"></script>

    <script>
        $(function(){$(document).scroll(function(){let e=$(".fixed-top");e.toggleClass("scrolled",$(this).scrollTop()>e.height())})});let searchText=$("#search-text"),mobileSearch=$("#mobile_search");mobileSearch.click(function(){let e=searchText.val();""!==e&&(e=e.replace(/ /g,"_"),window.open("/items/?model="+e,"_self"))}),searchText.keypress(function(e){let t=searchText.val();13===e.which&&""!==t&&(t=t.replace(/ /g,"_"),window.open("/items/?model="+t,"_self"))});let availableTags=JSON.parse("{{ titles|escapejs }}");searchText.autocomplete({source:availableTags});let lessPage=$("#less-page"),morePage=$("#more-page");function createlinkwithfilter(){let e=!1,t="https://gooshichand.com/filterbyspec/?",n=$("#brand")[0].innerText;"برند"===n&&(n=""),""!==n&&(t+="&brand="+(n=n.replace(/ /g,"_")),e=!0);let i=$("#os")[0].innerText;"سیستم عامل"===i&&(i=""),""!==i&&(t+="&os="+(i=i.replace(/ /g,"_")),e=!0);let a=$("#minpd")[0].innerText;"تراکم پیکسل از"===a&&(a=""),""!==a&&(t+="&minpd="+(a=a.replace(/ /g,"_")),e=!0);let l=$("#maxpd")[0].innerText;"تراکم پیکسل تا"===l&&(l=""),""!==l&&(t+="&maxpd="+(l=l.replace(/ /g,"_")),e=!0);let r=$("#mininch")[0].innerText;"سایز (اینچ) از"===r&&(r=""),""!==r&&(t+="&mininch="+(r=r.replace(/ /g,"_")),e=!0);let c=$("#maxinch")[0].innerText;"سایز (اینچ) تا"===c&&(c=""),""!==c&&(t+="&maxinch="+(c=c.replace(/ /g,"_")),e=!0);let p=$("#minyear")[0].innerText;"از سال"===p&&(p=""),""!==p&&(t+="&minyear="+(p=p.replace(/ /g,"_")),e=!0);let s=$("#maxyear")[0].innerText;"تا سال"===s&&(s=""),""!==s&&(t+="&maxyear="+(s=s.replace(/ /g,"_")),e=!0);let o=$("#minram")[0].innerText;"رَم از (گیگ)"===o&&(o=""),""!==o&&(t+="&minram="+(o=o.replace(/ /g,"_")),e=!0);let m=$("#maxram")[0].innerText;"رَم تا (گیگ)"===m&&(m=""),""!==m&&(t+="&maxram="+(m=m.replace(/ /g,"_")),e=!0);let f=$("#minfcamera")[0].innerText;"جلو از (MP)"===f&&(f=""),""!==f&&(t+="&minfcamera="+(f=f.replace(/ /g,"_")),e=!0);let d=$("#maxfcamera")[0].innerText;"جلو تا (MP)"===d&&(d=""),""!==d&&(t+="&maxfcamera="+(d=d.replace(/ /g,"_")),e=!0);let x=$("#minbcamera")[0].innerText;"عقب از (MP)"===x&&(x=""),""!==x&&(t+="&minbcamera="+(x=x.replace(/ /g,"_")),e=!0);let g=$("#maxbcamera")[0].innerText;"عقب تا (MP)"===g&&(g=""),""!==g&&(t+="&maxbcamera="+(g=g.replace(/ /g,"_")),e=!0);let h=$("#mincore")[0].innerText;"تعداد هسته از"===h&&(h=""),""!==h&&(t+="&mincore="+(h=h.replace(/ /g,"_")),e=!0);let b=$("#maxcore")[0].innerText;"تعداد هسته تا"===b&&(b=""),""!==b&&(t+="&maxcore="+(b=b.replace(/ /g,"_")),e=!0);let u=$("#minfreq")[0].innerText;"فرکانس از (هرتز)"===u&&(u=""),""!==u&&(t+="&minfreq="+(u=u.replace(/ /g,"_")),e=!0);let w=$("#maxfreq")[0].innerText;"فرکانس تا (هرتز)"===w&&(w=""),""!==w&&(t+="&maxfreq="+(w=w.replace(/ /g,"_")),e=!0);let _=$("#sort-dir")[0].innerText;""!==_&&(t+="&dir="+_,e=!0);let k=$("#sort")[0].innerText;"مرتب سازی با"===k&&(k=""),""!==k&&(t+="&sort="+(k=k.replace(/ /g,"_")),e=!0),e&&(window.location=t)}function initialfiltervalue(){let e,t,n,i,a,l,r,c,p,s,o,m,f,d,x,g,h,b,u,w,_=window.location.href,k=(_=decodeURI(_)).split("brand=");k.length>1&&(e=(e=k[1].split("&")[0]).replace(/_/g," "),$("#brand").text(e),$("#tags").append('<p class="font-size has-number btn btn-info">'+e+"</p>\n"));let T=_.split("os=");T.length>1&&(c=(c=T[1].split("&")[0]).replace(/_/g," "),$("#os").text(c),$("#tags").append('<p class="font-size has-number btn btn-info">'+c+"</p>\n"));let z=_.split("minpd=");z.length>1&&(t=(t=z[1].split("&")[0]).replace(/_/g," "),$("#minpd").text(t),$("#tags").append('<p class="font-size has-number btn btn-info">'+t+"</p>\n"));let y=_.split("maxpd=");y.length>1&&(n=(n=y[1].split("&")[0]).replace(/_/g," "),$("#maxpd").text(n),$("#tags").append('<p class="font-size has-number btn btn-info">'+n+"</p>\n"));let q=_.split("mininch=");q.length>1&&(i=(i=q[1].split("&")[0]).replace(/_/g," "),$("#mininch").text(i),$("#tags").append('<p class="font-size has-number btn btn-info">'+i+"</p>\n"));let P=_.split("maxinch=");P.length>1&&(a=(a=P[1].split("&")[0]).replace(/_/g," "),$("#maxinch").text(a),$("#tags").append('<p class="font-size has-number btn btn-info">'+a+"</p>\n"));let O=_.split("minyear=");O.length>1&&(l=(l=O[1].split("&")[0]).replace(/_/g," "),$("#minyear").text(l),$("#tags").append('<p class="font-size has-number btn btn-info">'+l+"</p>\n"));let v=_.split("maxyear=");v.length>1&&(r=(r=v[1].split("&")[0]).replace(/_/g," "),$("#maxyear").text(r),$("#tags").append('<p class="font-size has-number btn btn-info">'+r+"</p>\n"));let S=_.split("minram=");S.length>1&&(p=(p=S[1].split("&")[0]).replace(/_/g," "),$("#minram").text(p),$("#tags").append('<p class="font-size has-number btn btn-info">'+p+"</p>\n"));let I=_.split("maxram=");I.length>1&&(s=(s=I[1].split("&")[0]).replace(/_/g," "),$("#maxram").text(s),$("#tags").append('<p class="font-size has-number btn btn-info">'+s+"</p>\n"));let M=_.split("minbcamera=");M.length>1&&(f=(f=M[1].split("&")[0]).replace(/_/g," "),$("#minbcamera").text(f),$("#tags").append('<p class="font-size has-number btn btn-info">'+f+"</p>\n"));let j=_.split("maxbcamera=");j.length>1&&(d=(d=j[1].split("&")[0]).replace(/_/g," "),$("#maxbcamera").text(d),$("#tags").append('<p class="font-size has-number btn btn-info">'+d+"</p>\n"));let C=_.split("minfcamera=");C.length>1&&(o=(o=C[1].split("&")[0]).replace(/_/g," "),$("#minfcamera").text(o),$("#tags").append('<p class="font-size has-number btn btn-info">'+o+"</p>\n"));let J=_.split("maxfcamera=");J.length>1&&(m=(m=J[1].split("&")[0]).replace(/_/g," "),$("#maxfcamera").text(m),$("#tags").append('<p class="font-size has-number btn btn-info">'+m+"</p>\n"));let N=_.split("mincore=");N.length>1&&(x=(x=N[1].split("&")[0]).replace(/_/g," "),$("#mincore").text(x),$("#tags").append('<p class="font-size has-number btn btn-info">'+x+"</p>\n"));let R=_.split("maxcore=");R.length>1&&(g=(g=R[1].split("&")[0]).replace(/_/g," "),$("#maxcore").text(g),$("#tags").append('<p class="font-size has-number btn btn-info">'+g+"</p>\n"));let U=_.split("minfreq=");U.length>1&&(h=(h=U[1].split("&")[0]).replace(/_/g," "),$("#minfreq").text(h),$("#tags").append('<p class="font-size has-number btn btn-info">'+h+"</p>\n"));let A=_.split("maxfreq=");A.length>1&&(b=(b=A[1].split("&")[0]).replace(/_/g," "),$("#maxfreq").text(b),$("#tags").append('<p class="font-size has-number btn btn-info">'+b+"</p>\n"));let B=_.split("sort=");B.length>1&&(u=(u=B[1].split("&")[0]).replace(/_/g," "),$("#sort").text(u),$("#tags").append('<p class="font-size has-number btn btn-info">'+u+"</p>\n"));let D=_.split("dir=");D.length>1&&(w=(w=D[1].split("&")[0]).replace(/_/g," "),$("#sort-dir").text(w),$("#tags").append('<p class="font-size has-number btn btn-info">'+w+"</p>\n"))}function onclickdropdown(){$("#dropdown-menu-brand").find("li a").click(function(){$("#brand").text($(this).text())}),$("#dropdown-menu-mininch").find("li a").click(function(){$("#mininch").text($(this).text())}),$("#dropdown-menu-maxinch").find("li a").click(function(){$("#maxinch").text($(this).text())}),$("#dropdown-menu-minpd").find("li a").click(function(){$("#minpd").text($(this).text())}),$("#dropdown-menu-maxpd").find("li a").click(function(){$("#maxpd").text($(this).text())}),$("#dropdown-menu-os").find("li a").click(function(){$("#os").text($(this).text())}),$("#dropdown-menu-minyear").find("li a").click(function(){$("#minyear").text($(this).text())}),$("#dropdown-menu-maxyear").find("li a").click(function(){$("#maxyear").text($(this).text())}),$("#dropdown-menu-minram").find("li a").click(function(){$("#minram").text($(this).text())}),$("#dropdown-menu-maxram").find("li a").click(function(){$("#maxram").text($(this).text())}),$("#dropdown-menu-minfcamera").find("li a").click(function(){$("#minfcamera").text($(this).text())}),$("#dropdown-menu-maxfcamera").find("li a").click(function(){$("#maxfcamera").text($(this).text())}),$("#dropdown-menu-minbcamera").find("li a").click(function(){$("#minbcamera").text($(this).text())}),$("#dropdown-menu-maxbcamera").find("li a").click(function(){$("#maxbcamera").text($(this).text())}),$("#dropdown-menu-minfreq").find("li a").click(function(){$("#minfreq").text($(this).text())}),$("#dropdown-menu-maxfreq").find("li a").click(function(){$("#maxfreq").text($(this).text())}),$("#dropdown-menu-mincore").find("li a").click(function(){$("#mincore").text($(this).text())}),$("#dropdown-menu-maxcore").find("li a").click(function(){$("#maxcore").text($(this).text())}),$("#dropdown-menu-sort").find("li a").click(function(){$("#sort").text($(this).text())}),$("#dropdown-menu-sort-dir").find("li a").click(function(){$("#sort-dir").text($(this).text())})}morePage.click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let t=e.split("page=")[0],n=e.split("page=")[1];e=t+"page="+(n=parseInt(n)+1).toString()}else-1===e.indexOf("page")&&(e+="&page=1");window.location.href=e}),lessPage.click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let t=e.split("page=")[0],n=e.split("page=")[1];e=t+"page="+(n=parseInt(n)-1).toString(),0===n&&(e=e.split("&page")[0])}window.location.href=e}),$("#filter-down").click(function(){$("#filter-up").show(),$("#filter-down").hide(),$("#about").fadeIn()}),$("#filter-up").click(function(){$("#filter-down").show(),$("#filter-up").hide(),$("#about").fadeOut()}),onclickdropdown(),$("#filter").click(function(){$("#filter-icon").show(),$("#filter-text").hide(),createlinkwithfilter()}),$(document).ready(function(){let e=window.location.href;-1!==e.indexOf("page")?lessPage.show():-1===e.indexOf("page")&&lessPage.hide(),initialfiltervalue()});
    </script>
{% endblock %}
